source: wokkel/test/test_version.py @ 243:73adee30baa7

Last change on this file since 243:73adee30baa7 was 240:3a201c5b385f, checked in by Ralph Meijer <ralphm@…>, 2 years ago

Use incremental instead of t.p.versions everywhere

twisted.python.versions is a precursor of the incremental library
but isn't fully API compatible. This caused breakage with older Twisted
versions. Switching to incremental everywhere resolves this. Also fix
the version to at least 16.9.0, which introduced the release_candidate
parameter.

File size: 869 bytes
Line 
1# Copyright (c) Ralph Meijer.
2# See LICENSE for details.
3
4"""
5Tests for L{__init__.__version__} and L{incremental} integration.
6"""
7
8from __future__ import division, absolute_import
9
10from twisted.trial import unittest
11
12import wokkel
13from wokkel import _version
14
15class InitVersionTest(unittest.TestCase):
16    """
17    Tests for L{wokkel.__init__.__version__}.
18    """
19
20    def test_version(self):
21        """
22        Package version is present and correct.
23        """
24        self.assertEqual("18.0.0rc4", wokkel.__version__)
25
26
27class IncrementalVersionTest(unittest.TestCase):
28    """
29    Tests for L{incremental} integration.
30    """
31
32    def test_version(self):
33        """
34        Package version is present and correct.
35        """
36        self.assertEqual("wokkel", _version.__version__.package)
37        self.assertEqual("18.0.0rc4", _version.__version__.public())
Note: See TracBrowser for help on using the repository browser.